<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

   <extension
         id="application"
         point="org.eclipse.core.runtime.applications">
      <application>
         <run
               class="de.ugoe.cs.swe.exercises.Application">
         </run>
      </application>
   </extension>
   <extension
         point="org.eclipse.ui.perspectives">
      <perspective
            name="Exercise"
            class="de.ugoe.cs.swe.exercises.Perspective"
            id="de.ugoe.cs.swe.exercises.perspective">
      </perspective>
   </extension>
   <extension
         point="org.eclipse.ui.views">
      <view
            category="de.ugoe.cs.swe.exercises.category"
            class="de.ugoe.cs.swe.exercises.lecturer.ViewLecturer"
            icon="icons/user-online16.png"
            id="de.ugoe.cs.swe.exercises.views.lecturer"
            name="Lecturer"
            restorable="true">
      </view>
      <view
            category="de.ugoe.cs.swe.exercises.category"
            class="de.ugoe.cs.swe.exercises.exercise.ViewExercise"
            icon="icons/edit-copy16.png"
            id="de.ugoe.cs.swe.exercises.views.exercise"
            name="Exercises"
            restorable="true">
      </view>
      <view
            category="de.ugoe.cs.swe.exercises.category"
            class="de.ugoe.cs.swe.exercises.lecture.GUITreeView"
            icon="icons/x-office-address-book16.png"
            id="de.ugoe.cs.swe.exercises.views.tree"
            name="Lectures"
            restorable="true">
      </view>
      <category
            id="de.ugoe.cs.swe.exercises.category"
            name="Exercises">
      </category>
   </extension>
   <extension
         point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension
            targetID="*">
         <view
               closeable="false"
               id="de.ugoe.cs.swe.exercises.views.lecturer"
               minimized="false"
               moveable="false"
               ratio="0.95f"
               relationship="fast"
               showTitle="true"
               standalone="false"
               visible="true">
         </view>
         <view
               closeable="false"
               id="de.ugoe.cs.swe.exercises.views.exercise"
               minimized="false"
               moveable="false"
               ratio="0.95f"
               relationship="fast"
               showTitle="true"
               standalone="false"
               visible="true">
         </view>
         <view
               closeable="false"
               id="de.ugoe.cs.swe.exercises.views.tree"
               minimized="false"
               moveable="false"
               ratio="0.95f"
               relationship="fast"
               showTitle="true"
               standalone="false"
               visible="true">
         </view>
      </perspectiveExtension>
   </extension>
   <extension
         point="org.eclipse.ui.commands">
      <command
            defaultHandler="de.ugoe.cs.swe.exercises.svn.Settings"
            id="de.ugoe.cs.swe.exercises.commands.svnSettings"
            name="SVN Settings">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="menu:org.eclipse.ui.main.menu">
         <menu
               label="Options">
            <command
                  commandId="de.ugoe.cs.swe.exercises.commands.svnSettings"
                  icon="icons/system-run16.png"
                  label="Settings"
                  style="push">
            </command>
         </menu>
      </menuContribution>
   </extension>
   <extension
         id="product"
         point="org.eclipse.core.runtime.products">
      <product
            application="de.ugoe.cs.swe.exercises.application"
            name="Exercises">
         <property
               name="appName"
               value="Exercises">
         </property>
         <property
               name="preferenceCustomization"
               value="plugin_customization.ini">
         </property>
         <property name="startupProgressRect" value="10,375,580,15"/>
         <property
               name="windowImages"
               value="icons/alt_window_16.gif,icons/alt_window_32.gif">
         </property>
         <property
               name="startupForegroundColor"
               value="000000">
         </property>
         <property
               name="startupMessageRect"
               value="10,360,580,20">
         </property>
         <property
               name="aboutImage"
               value="icons/about.png">
         </property>
         <property
               name="aboutText"
               value="Exercises">
         </property>
      </product>
   </extension>
</plugin>
